keylogout(1)

NAME
keylogout - delete stored secret key with keyserv

SYNOPSIS
/usr/bin/keylogout [ -f ]

DESCRIPTION

keylogout deletes the key stored by the key server process keyserv(8). Further access to the key is revoked; however, current session keys may remain valid until they expire or are refreshed.

Deleting the keys stored by keyserv will cause any background jobs or scheduled at(1) jobs that need secure RPC services to fail. Since only one copy of the key is kept on a machine, it is a bad idea to place a call to this command in your .logout file since it will affect other sessions on the same machine.

OPTIONS

-f  Force keylogout to delete the secret key for the super-user. By default, keylogout by the super-user is disallowed because it would break all RPC services, such as NFS, that are started by the super-user.

SEE ALSO
at(1), chkey(1), login(1), keylogin(1), keyserv(8), newkey(1), publickey(4)